<template>
  <section class="list">
    <div v-bind:key="task.id" v-for="task in tasks">
      <Task v-bind:task="task" v-on:del-task="$emit('del-task', task.id)" />
    </div>
    <p v-if="tasks.length === 0" :style="{marginTop : '1.5rem'}">There are no tasks today.</p>
  </section>
</template>

<script>
  import Task from "./Task";

  export default {
    name: 'TaskManager',
    components: {
      Task,
    },
    props: ["tasks"]
  }
</script>

<style scoped>
  .list {
    position: relative;
  }
</style>
